package main

import (
	"flag"
	"os"

	"git.ctrlz.es/mgdelacroix/birthdaybot/model"
	"git.ctrlz.es/mgdelacroix/birthdaybot/server"
	"github.com/charmbracelet/log"
)

func main() {
	configFlag := flag.String("config", "birthdaybot.yml", "path to the configuration file")
	flag.Parse()

	config, err := model.ReadConfig(*configFlag)
	if err != nil {
		log.Error("error reading config", "configPath", *configFlag, "error", err)
		os.Exit(1)
	}

	_, err = server.New(config)
	if err != nil {
		log.Error("error creating server", "error", err)
		os.Exit(1)
	}
}
